//funnyjumps.shader
textures/codey1/paintblue:q3map
{
     surfaceparm slick
     surfaceparm nodamage
}

textures/urban_terror/floor15:q3map
{
     surfaceparm nodamage
}

textures/urban_terror/concrete5:q3map
{
     surfaceparm nodamage
}

textures/urban_terror/concrete4:q3map
{
     surfaceparm nodamage
}

textures/urban_terror/concrecret_dark:q3map
{
     surfaceparm nodamage
}

textures/funnyjumps/algiers_wall
{
	qer_editorimage textures/algiers/sn_wall1.tga
	surfaceparm nodamage
	{
		map textures/algiers/sn_wall1.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/funnyjumps/red
{
	qer_trans 0.5
	surfaceparm nonsolid
	q3map_surfacelight 250
	q3map_lightRGB 1 0 0
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/funnyjumps/red.tga
		blendfunc add
		rgbGen const ( 0.5 0.5 0.5 )
	}
}

textures/funnyjumps/orange_sun
{
	qer_trans 0.5
	surfaceparm nonsolid
	q3map_surfacelight 750
	q3map_lightRGB 0.933333 0.90980 0.72549
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nolightmap
}

textures/funnyjumps/glass
{
	qer_editorimage textures/effects/tinfx2.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendfunc add
		rgbGen identity
	}
}

textures/funnyjumps/glass_bright
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage

	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc add
		rgbGen identity
	}
}

textures/funnyjumps/light1_yel
{
	qer_editorimage textures/urban_terror/glight1.tga
	surfaceparm nomarks
//	surfaceparm nolightmap
	q3map_surfacelight 750
	q3map_lightRGB 1.000000 0.854734 0.400000
	{
		map textures/urban_terror/glight1.tga
		rgbGen identity
	}
}

textures/funnyjumps/concrete4_nonsolid
{
	qer_editorimage textures/urban_terror/concrete4.tga
	qer_trans 0.5
	surfaceparm nonsolid
	{
		map textures/funnyjumps/concrete4.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/funnyjumps/concrete5_nonsolid
{
	qer_editorimage textures/urban_terror/concrete5.tga
	qer_trans 0.5
	surfaceparm nonsolid
	{
		map textures/funnyjumps/concrete5.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/funnyjumps/concrete4_slick
{
	qer_editorimage textures/funnyjumps/concrete4_slick.tga
	surfaceparm slick
	surfaceparm nodamage


	{
		map textures/funnyjumps/concrete4.tga
		rgbGen identity
	}
	{
		map textures/funnyjumps/shadow.tga
		blendfunc blend
		tcMod scroll 0 -0.1
		tcMod turb .3 1 1 0.1
	}
	{
		map textures/funnyjumps/slime.tga
		blendfunc blend
		tcMod scroll 0 -0.3
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/funnyjumps/yellow_nonsolid
{
	qer_editorimage textures/funnyjumps/yellow.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_surfacelight 500
	q3map_lightRGB 1.000000 0.944610 0.824979
	{
		map textures/funnyjumps/yellow.tga
		rgbgen identity
	}
}

//===BANNERS===
textures/funnyjumps/129a
//by apath0
{
	qer_editorimage textures/apath0/transpi.tga
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/apath0/transpi.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

textures/funnyjumps/stasi20
{
	qer_editorimage textures/funnyjumps/stasi2_0.jpg
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	{
		map textures/funnyjumps/stasi2_0.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/funnyjumps/saints_logo
{
	qer_editorimage textures/funnyjumps/saints_logo.tga
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/funnyjumps/saints_logo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbGen vertex
		alphagen const 1
	}
}

textures/funnyjumps/war_is_peace
{
	qer_editorimage textures/funnyjumps/warispeace.tga
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/funnyjumps/warispeace.tga
		blendfunc blend
		rgbGen vertex
		alphagen const 1
	}
}

textures/funnyjumps/teh_end
{
	qer_editorimage textures/funnyjumps/teh_end.tga
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
        {
		map textures/funnyjumps/teh_end.tga
		blendfunc blend
		rgbGen vertex
		alphagen const 1
	}
}

textures/funnyjumps/politic_arithmetic
{
	qer_editorimage textures/funnyjumps/politic_arithmetic.tga
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
        {
		map textures/funnyjumps/politic_arithmetic.tga
		blendfunc blend
		rgbGen vertex
		alphagen const 1
	}
}

textures/funnyjumps/cake_lie
{
	qer_editorimage textures/funnyjumps/cake_lie.tga
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
        {
		map textures/funnyjumps/cake_lie.tga
		blendfunc blend
		rgbGen vertex
		alphagen const 1
	}
}

textures/funnyjumps/noob_train
{
	qer_editorimage textures/funnyjumps/noob_train.tga
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
        {
		map textures/funnyjumps/noob_train.tga
		blendfunc blend
		rgbGen vertex
		alphagen wave sin 0.75 0.25 0 0.25
	}
        {
		map textures/funnyjumps/noob_train_inner.tga
		blendfunc blend
		rgbGen vertex
		alphagen wave sin 0.75 0.25 0.5 0.25
	}
}

textures/funnyjumps/popoclub
{
	qer_editorimage textures/funnyjumps/popoclub.tga
	polygonoffset
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	tessSize 64
        {
		map textures/funnyjumps/popoclub.tga
		blendfunc blend
		rgbGen vertex
		alphagen const 1
	}
}


//===SKIES===
textures/funnyjumps/village_skybox2
{
	qer_editorimage env/village/villagesky_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 238 232 185 70 130 55 3 16
	//q3map_lightImage textures/village2/VillageSkyImageLightOrange.jpg
	q3map_lightRGB 0.933333 0.90980 0.72549
	q3map_skylight 60 3
	//q3map_lightmapFilterRadius 0 64	
	q3map_backsplash 0 0

	skyparms env/village/villagesky - -
	
}

textures/funnyjumps/arcn_skybox
{
	qer_editorimage env/arcn_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 238 232 185 70 130 55 3 16
	q3map_lightRGB 0.3 0.3 0.3
	q3map_skylight 60 3
	//q3map_lightmapFilterRadius 0 64	
	q3map_backsplash 0 0

	skyparms env/arcn - -
	
}

// Stratosphere Skybox (from freakjumps)
textures/funnyjumps/strato_skybox
{
	qer_editorimage env/stratosphere/stratosphere_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.941 0.984 1.00 150 270 45
	skyparms env/stratosphere/stratosphere - -
}

//===EFFECTS===
textures/funnyjumps/fog_red
{
	qer_editorimage textures/funnyjumps/red.tga
	qer_trans 0.8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	surfaceparm nolightmap
	q3map_surfacelight 500
	q3map_lightRGB .890 .313 0

	fogparms ( .890 .313 0 ) 1024
	{
		map textures/sfx/shadow.tga
		blendfunc filter
		tcmod scroll .1 -.1
		rgbgen identity
	}
}

textures/funnyjumps/fog_white
{
	qer_editorimage textures/sfx/shadow.tga
	qer_trans 0.8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	surfaceparm nolightmap
	q3map_surfacelight 500
	q3map_lightRGB 1 1 1

	fogparms ( 1 1 1 ) 1024
	{
		map textures/sfx/shadow.tga
		blendfunc filter
		tcmod scroll .1 -.1
		rgbgen identity
	}
}

textures/funnyjumps/beam_blue
	{
        qer_editorimage textures/funnyjumps/beam_blue4.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/funnyjumps/beam_blue4.tga
		tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/funnyjumps/lavahell_scroll
{
	qer_editorimage textures/liquids/lavahell.tga
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
		tcMod scroll 0 -0.1
	}


	
}
